* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-height: 100vh;
    background: #000;
    overflow: hidden;
    font-family: 'Protest Riot', sans-serif;
}

.animation {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate (-50%, -50%);
}

.glowing {
    position: relative;
    min-width: 700px;
    height: 550px;
    margin: -150px;
    transform-origin: right;
    animation: colorChange 5s linear infinite;
}

.glowing:nth-child(even) {
    transform-origin: left;
}

@keyframes colorChange {
    0% {
        filter: hue-rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        filter: hue-rotate(360deg);
        transform: rotate(360deg);
    }
}

.glowing span {
    position: absolute;
    top: calc(80px * var(--i));
    left: calc(80px * var(--i));
    bottom: calc(80px * var(--i));
    right: calc(80px * var(--i));
}

.glowing span::before {
    content: "";
    position: absolute;
    top: 50%;
    left: -8px;
    width: 15px;
    height: 15px;
    background: #f00;
    border-radius: 50%;
}

.glowing span:nth-child(3n + 1)::before {
    background: rgba(134, 255, 0, 1);
    box-shadow: 0 0 20px rgba(134, 255, 0, 1),
        0 0 40px rgba(134, 255, 0, 1),
        0 0 60px rgba(134, 255, 0, 1),
        0 0 80px rgba(134, 255, 0, 1),
        0 0 0 8px rgba(134, 255, 0, .1);
}

.glowing span:nth-child(3n + 2)::before {
    background: rgba(255, 214, 0, 1);
    box-shadow: 0 0 20px rgba(255, 214, 0, 1),
        0 0 40px rgba(255, 214, 0, 1),
        0 0 60px rgba(255, 214, 0, 1),
        0 0 80px rgba(255, 214, 0, 1),
        0 0 0 8px rgba(255, 214, 0, .1);
}

.glowing span:nth-child(3n + 3)::before {
    background: rgba(0, 226, 255, 1);
    box-shadow: 0 0 20px rgba(0, 226, 255, 1),
        0 0 40px rgba(0, 226, 255, 1),
        0 0 60px rgba(0, 226, 255, 1),
        0 0 80px rgba(0, 226, 255, 1),
        0 0 0 8px rgba(0, 226, 255, .1);
}

.glowing span:nth-child(3n + 1) {
    animation: animate 10s alternate infinite;
}

.glowing span:nth-child(3n + 2) {
    animation: animate-reverse 3s alternate infinite;
}

.glowing span:nth-child(3n + 3) {
    animation: animate 8s alternate infinite;
}

@keyframes animate {
    0% {
        transform: rotate(180deg);
    }

    50% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes animate-reverse {
    0% {
        transform: rotate(360deg);
    }

    50% {
        transform: rotate(180deg);
    }

    100% {
        transform: rotate(0deg);
    }
}




body::after {
    content: '';
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(109, 138, 189, 0.5);
}



.countdown-wrapper {
    z-index: 1;
    position: relative;
    display: flex;
    flex-direction: column;
}
.title {
    font-size: 60px;
    margin: 0 0 120px;
    color: antiquewhite;
}
.time {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 15px;
    color: antiquewhite;

}
.countdown {
    display: none;
    justify-content: center;
    align-items: center;    
    gap: 20px;
     
}
.value {
    font-size: 50px;
}
.input-data {
display: flex;
justify-content: center;
gap: 20px;
}
.datetime-picker {
background-color: antiquewhite;
border-radius: 10px;
width: 150px;
padding: 15px;
box-shadow: 5px 5px 5px rgb(107, 104, 104);
transform: scale(1);
}

.data-start {
background-color: antiquewhite;
    border-radius: 10px;
    width: 150px;
    padding: 15px;
    box-shadow: 5px 5px 5px rgb(107, 104, 104);
    transition: transform 0.2s;
    transform: scale(1);

}
.data-start:active {
    
    transform: scale(1.1);
}

/* Preloader */
.preloader {
position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%)
}
.lds-ripple {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}

.lds-ripple div {
    position: absolute;
    border: 4px solid #fff;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.lds-ripple div:nth-child(2) {
    animation-delay: -0.5s;
}

@keyframes lds-ripple {
    0% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 72px;
        height: 72px;
        opacity: 0;
    }
}
